<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-status-bar-style" content="black">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<title>共{pigcms:$commentone['replayCount']}条回复</title>
	<meta name="description" content="">
	<meta name="keywords" content="">
	<link href="{pigcms::RES}/wap/faceClass/css/normalize.css?v=20161123" rel="stylesheet">
	<link href="{pigcms::RES}/wap/faceClass/css/style.css?v=20161123" rel="stylesheet">
	<link href="{pigcms::RES}/wap/faceClass/css/emoj.css?v=20161123" rel="stylesheet">
</head>

<body>

	<section id="wrapper" class="main iscroll-wrapper comment-replies">
		<div id="scroller">
			<!-- 原始评论 -->
			<div class="detail-list comemnt-list">
				<dl class="comment-item">
					<dt class="comment-thumb"><img src="" alt=""></dt>
					<dd>
						<div class="comment-header">
							{pigcms:$commentone['real_name']}
							<p>{pigcms:$commentone['comment_time']}</p>
							<div class="comment-tbns">
								<a
									href="{pigcms::U('praise',array('wecha_id'=>$_GET['wecha_id'],'token'=>$_GET['token'],'commentid'=>$commentone['id']))}"
							cancel-url="{pigcms::U('nopraise',array('wecha_id'=>$_GET['wecha_id'],'token'=>$_GET['token'],'commentid'=>$commentone['id']))}"
									class='btn btn-link btn-praise <if condition="$reply.favorResult gt 0">disabled</if>'>
									<i class="ico ico-praise "></i> <span>{pigcms:$commentone['favorSum']}</span>
								</a>
								<a href="{pigcms::U('replies',array('wecha_id'=>$_GET['wecha_id'],'token'=>$_GET['token'],'commentid'=>$commentone['id']))}" class="btn btn-link btn-reply"><i class="ico ico-comment"></i></a>
							</div>
						</div>
						<p>{pigcms:$commentone['content']}</p>
					</dd>
				</dl>
			</div>

			<!-- 回复 -->
			<div class="detail-list comemnt-list reply-list list"></div>
			<script>
				var PRAISE_URL = "{pigcms::U('praise',array('wecha_id'=>$_GET['wecha_id'],'token'=>$_GET['token'],'replyid'=>'@0','commentid'=>'@1'))}";
				var CANCEL_URL = "{pigcms::U('nopraise',array('wecha_id'=>$_GET['wecha_id'],'token'=>$_GET['token'],'replyid'=>'@0','commentid'=>'@1'))}";
			</script>
			<script type="text/x-jquery-tmpl" id="tpl-list-item">
				{{each records}}
				<dl class="comment-item">
					<dt class="comment-thumb"><img src="" alt=""></dt>
					<dd>
						<div class="comment-header">
							${real_name}
							<p>${reply_time}</p>
							<div class="comment-tbns">

								<a
									href="${PRAISE_URL.replace('@0', id).replace('@1', comment_id)}"
									cancel-url="${CANCEL_URL.replace('@0', id).replace('@1', comment_id)}"
									class='btn btn-link btn-praise {{if favorResult > 0}} disabled{{/if}}'>
									<i class="ico ico-praise "></i> <span>${favorSum}</span>
								</a>

							</div>
						</div>
						<p>{{html content}}</p>
					</dd>
				</dl>
				{{/each}}
			</script>

			<div class="pull-action am-text-center pull-up loading">
		        <div class="am-icon-arrow-up pull-label pull-up-label">
		            上拉加载更多
		        </div>
		        <span class="am-icon-spinner am-icon-spin">
		        </span>
		    </div>
		</div>

	</section>


	<!-- 回复弹框 -->
	<dialog id="modalReply" class="modal">
		<div class="modal-body">
			<div class="reply-editor content-editor" maxlength="150" contenteditable="true" placeholder="输入回复内容..."></div>
			<div class="reply-toolbar">
				<a href="javascript:void(0);" class="btn btn-face-seletor">
					<i class="ico ico-smile"></i>表情
				</a>
				<div class="words-count">150字</div>
				<div class="face-list"></div>
			</div>
		</div>
		<div class="modal-footer">
			<a href="javascript:void(0)" class="btn btn-block" rel="modal:close">取消</a>
			<a href="javascript:void(0)" class="btn btn-block btn-send-reply">确定</a>
		</div>
	</dialog>

	<script src="{pigcms::RES}/wap/faceClass/js/libs/jquery-3.1.1.min.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/libs/jquery.modal.min.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/libs/jquery.tmpl.min.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/libs/swipe.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/libs/iscroll.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/libs/pullUpLoad.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/scripts.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/emoj.js?v=20161123"></script>
	<script>

		// 上拉分页
		$("#wrapper").pullUpInit({
			list: '.list',
			api: "{pigcms::U('replylist',array('wecha_id'=>$_GET['wecha_id'],'token'=>$_GET['token'],'commentid'=>$commentone['id']))}"
		});

		// 回复弹框的表情
		$('#modalReply .btn-face-seletor').emoj({
			imgBaseUrl: 'tpl/Wap/default/common/wap/faceClass/imgs/emoj/',
			editor: $('#modalReply .content-editor'),
			container: $('#modalReply .face-list'),
		});
	</script>
</body>
</html>
